@font-face {
  font-family: OpenSansSemibold;
  src: url('../assets/fonts/OpenSans/OpenSans-Semibold.woff2');
}
@keyframes orbit {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.pm-loader.is-exiting {
  opacity: 0;
}

.pm-loader.is-hidden {
  display: none;
}

body {
  margin: 0;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  position: absolute;
}

.pm-loader {
  width: 100%;
  height: 100%;
  z-index: 300;
  position: absolute;
  transition: opacity 0.5s linear;
}

/* TODO: Automatically keep these colors in sync with the
 * loader window background colors defined in windowManager.js */
@media (prefers-color-scheme: light) {
  .pm-loader {
    background: #E8E0CB;
  }
}
@media (prefers-color-scheme: dark) {
  .pm-loader {
    background: #1C272B;
  }
}

.pm-loader-text-container {
  display: none;
  color: #ef5b25;
  font-size: 14px;
  text-align: center;
  position: absolute;
  -webkit-user-select: none;
  font-family: OpenSansSemibold, sans-serif;
  top: 65px;
}

.pm-loader-text-container.visible {
  display: block;
}

.pm-loader-text {
  transition: 0.5s;
  margin-bottom: 8px
}

.pm-loader-container {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.pm-loader-atoms {
  width: 100px;
  height: 100px;
  display: flex;
  position: relative;
  align-items: center;
  justify-content: center;
}

.pm-loader-center-atom {
  top: 33px;
  left: 33px;
  width: 32px;
  height: 32px;
  position: absolute;
  border-radius: 50%;
  background-color: #ef5b25;
}

.pm-loader-orbit-1 {
  top: 20px;
  left: 20px;
  width: 56px;
  height: 56px;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #ef5b25;
}

.pm-loader-orbit-2 {
  top: 8px;
  left: 8px;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  position: absolute;
  border: 1px solid #ef5b25;
}

.pm-loader-orbit-3 {
  top: -4px;
  left: -4px;
  width: 104px;
  height: 104px;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #ef5b25;
}

.pm-loader-atom-1 {
  width: 8px;
  height: 8px;
  margin-top: 4px;
  margin-left: 4px;
  border-radius: 50%;
  background-color: #ef5b25;
  transform-origin: 24px 24px;
  animation: orbit 1s infinite;
  animation-timing-function: linear;
  -webkit-transform-origin: 24px 24px;
}

.pm-loader-atom-2 {
  width: 8px;
  height: 8px;
  margin-top: 8px;
  margin-left: 8px;
  border-radius: 50%;
  background-color: #ef5b25;
  transform-origin: 32px 32px;
  animation: orbit 2s infinite;
  animation-timing-function: linear;
  -webkit-transform-origin: 32px 32px;
}

.pm-loader-atom-3 {
  width: 8px;
  height: 8px;
  margin-top: 11px;
  margin-left: 11px;
  border-radius: 50%;
  background-color: #ef5b25;
  transform-origin: 41px 41px;
  animation: orbit 3s infinite;
  animation-timing-function: linear;
  -webkit-transform-origin: 41px 41px;
}

.app-root {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: absolute;
}

.app-root.is-hidden {
  display: none;
}
